#!/usr/bin/python
# -*- coding: ISO-8859-1 -*-  # Compatibilité du jeu de caractère


# Programme écrit en python
# Auteur:
# Date:
# il permet de réceptionner deux octets (valA0h et valA0l) de la grandeur valA0 via le bus i2c.
# valA0 contient le résultat de la conversion de l'entrée analogique A0 sur une carte Arduino MEGA 2560 R3
# valA0h correspond à 'octet de poids fort
# valA0l correcpond à l'octet de poids faible


import smbus
import time

# Déclaration et initiallisation des variables du programme
valA0h = 0
valA0l = 0
valA0=0

# Declaration du bus i2c et initialisation de l'adresse de la carte Arduino (esclave) ici 0x10 soit 16 en décimale
bus = smbus.SMBus(1)
address = 0x10


#début du programme
print "Valeurs reçues sur le bus i2c:"

#Lecture du premier octet valA0h
reponse = bus.read_byte(address)
valA0h = reponse 
print "ValA0h= : ", reponse

#Lecture du deuxième octet valA0l
reponse = bus.read_byte(address)
valA0l = reponse
print "ValA0l= : ", reponse


# On calcul la valeur 16bits valA0
valA0 = valA0h*256 + valA0l

# On affiche dans le console le résultat du calcul et les deux valeurs reçues valA0h et valA0l
print "valA0 =", valA0
print "valA0h =", valA0h
print "valA0l =", valA0l

# fin du programme